<app-home></app-home><br>
<legend>Consultar e Cadastrar Usuários</legend>
<!--Filtro-->
<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Pesquisar">
</mat-form-field>

<div id="button">
    <a (click)="onAction(0)">
        <i class="material-icons" style="cursor: pointer;">add_circle</i>
    </a>
    <a (click)="onAction(1)">
        <i class="material-icons" style="cursor: pointer;">edit</i>
    </a>
    <a (click)="excluirItem()">
        <i class="material-icons" style="cursor: pointer;">delete</i>
    </a>
</div>


<table id="UsuarioTable" mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <!-- Checkbox Column -->
    <ng-container matColumnDef="select">
        <th mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="$event ? masterToggle() : null" [checked]="selection.hasValue() && isAllSelected()"
                [indeterminate]="selection.hasValue() && !isAllSelected()" [aria-label]="checkboxLabel()"
                color='primary'>
            </mat-checkbox>
        </th>
        <td mat-cell *matCellDef="let row">
            <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)" color='primary'>
            </mat-checkbox>
        </td>
    </ng-container>

    <!-- Id Column -->
    <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef> Código  </th>
        <td mat-cell *matCellDef="let element"> {{element.id}}</td>
    </ng-container>

    <!-- Matricula Column -->
    <ng-container matColumnDef="matricula">
        <th mat-header-cell *matHeaderCellDef> Matrícula </th>
        <td mat-cell *matCellDef="let element"> {{element.matricula}}</td>
    </ng-container>

    <!-- Senha Column -->
    <ng-container matColumnDef="senha">
        <th mat-header-cell *matHeaderCellDef> Senha <th>
        <td mat-cell *matCellDef="let element" >
           <input type="password" matInput name="" id="" value={{element.senha}}>
        </td>
    </ng-container>

     <!-- Perfil Column -->
     <ng-container matColumnDef="perfil">
        <th mat-header-cell *matHeaderCellDef> Perfil <th>
        <td mat-cell *matCellDef="let element" > {{element.perfil}} </td>
    </ng-container>

    <!-- Email Column -->
    <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef> E-mail </th>
        <td mat-cell *matCellDef="let element"> {{element.email}} </td>
    </ng-container>

    
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns; " (click)="selection.toggle(row)"></tr>
</table><br>

<div class="export-container">
    <button mat-raised-button color="primary" (click)="exportTable()">Exportar Excel</button>
</div>